Jump to
Ctrl
+
/

List UTXOs

GET
/vaults/{vaultId}/utxos

Returns a list of UTXOs (Unspent Transaction Outputs) for a given vault, with optional filtering by vault account, asset, address, and spend status.

Path Parameters

vaultId string Required

Unique identifier of the vault.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

address string Optional

Filter UTXOs by blockchain address.

assetId string Optional

Filter UTXOs by asset id.

isSpent boolean Optional

Filter by spend status (true - spent, false - unspent). If not provided, default is false (only unspent UTXOs are returned).

limit integer Optional

Defines how many items should be returned in the response per page basis.

Default : 50
startingAfter string Optional

Defines the id of the previous listed record id from which the current list should start from.

vaultAccountId string Optional

Filter UTXOs belonging to a specific vault account.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2026-03-20
requestId string Required

Defines the ID of the request. The requestId is generated by Vaultody and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
limit integer Required

Defines how many items should be returned in the response per page basis.

50
startingAfter string Optional

Defines the id of the previous listed record id from which the current list should start from.

5ca21f92cf5431000105d1a7
hasMore boolean Required

Defines whether or not there are more elements available after this set.

true
items array Items (object) Required
address string Required

Blockchain address that received the UTXO.

tb1qulfd8mt9j57sxv6k4gqz3766n5qa97049kuc35
assetId string Required

Identifier of the asset associated with this UTXO.

6913471c6b2794841dc8fb6f
createdTimestamp integer Required

Unix timestamp (milliseconds) when the UTXO was created or confirmed.

1705399159
index string Required

Output index within the transaction.

2
isSpent boolean Required

Indicates whether this UTXO has been spent (true) or is still unspent (false).

false
transactionId string Required

Hash of the blockchain transaction that created this UTXO.

c7ef013b7e4230307839db369e5d86944b5239493d4f31359c340cfcca97fb4d
utxoId string Required

Unique identifier for the address/UTXO record, used as the value for the startingAfter pagination parameter when fetching the next page of results.

6960d8d889a82e0ff42e0f92
value object Required
amount string Required

Amount of the asset.

0.001
assetUnit string Required

Asset unit (e.g., BTC, LTC, USDC).

BTC
vaultAccountId string Required

Identifier of the vault account that owns this UTXO.

6936c7e88097040007891abe
Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2026-03-20",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "limit": 50,
        "startingAfter": "5ca21f92cf5431000105d1a7",
        "hasMore": true,
        "items": [
            {
                "address": "tb1qulfd8mt9j57sxv6k4gqz3766n5qa97049kuc35",
                "assetId": "6913471c6b2794841dc8fb6f",
                "createdTimestamp": 1705399159,
                "index": "2",
                "isSpent": false,
                "transactionId": "c7ef013b7e4230307839db369e5d86944b5239493d4f31359c340cfcca97fb4d",
                "utxoId": "6960d8d889a82e0ff42e0f92",
                "value": {
                    "amount": "0.001",
                    "assetUnit": "BTC"
                },
                "vaultAccountId": "6936c7e88097040007891abe"
            }
        ]
    }
}